Bug 65962 - Web Inspector: live edit both for JS and CSS is not discoverable.
Summary: Web Inspector: live edit both for JS and CSS is not discoverable.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Alexander Pavlov (apavlov)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-09 22:53 PDT by Pavel Feldman
Modified: 2011-09-09 03:15 PDT (History)
10 users (show)

See Also:


Attachments
[PATCH] Suggested solution (12.24 KB, patch)
2011-09-08 07:13 PDT, Alexander Pavlov (apavlov)
no flags Details | Formatted Diff | Diff
[PATCH] Style fixed (12.25 KB, patch)
2011-09-08 07:14 PDT, Alexander Pavlov (apavlov)
no flags Details | Formatted Diff | Diff
[PATCH] Comments addressed (11.32 KB, patch)
2011-09-08 07:56 PDT, Alexander Pavlov (apavlov)
no flags Details | Formatted Diff | Diff
[PATCH] Binary diff (with the changed glyph image) (20.50 KB, patch)
2011-09-08 07:57 PDT, Alexander Pavlov (apavlov)
yurys: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Feldman 2011-08-09 22:53:48 PDT
FB's Live Edit button makes it more explicit.
Comment 1 Alexander Pavlov (apavlov) 2011-09-08 07:13:46 PDT
Created attachment 106730 [details]
[PATCH] Suggested solution

This is the first take on the feature. The button placement seems a bit odd in the Resources panel, and suggestions on a better "Live Edit" glyph are most welcome.
Comment 2 Alexander Pavlov (apavlov) 2011-09-08 07:14:59 PDT
Created attachment 106731 [details]
[PATCH] Style fixed
Comment 3 Yury Semikhatsky 2011-09-08 07:38:44 PDT
Comment on attachment 106730 [details]
[PATCH] Suggested solution

View in context: https://bugs.webkit.org/attachment.cgi?id=106730&action=review

> Source/WebCore/ChangeLog:6
> +	Add the "Edit" button to SourceFrame, so that resources/scripts can be edited both in the

Wrong alignment.

> Source/WebCore/inspector/front-end/ScriptsPanel.js:1148
> +    _toggleEditSource: function()

This is never called, r- for this.
Comment 4 Yury Semikhatsky 2011-09-08 07:44:07 PDT
Comment on attachment 106731 [details]
[PATCH] Style fixed

View in context: https://bugs.webkit.org/attachment.cgi?id=106731&action=review

> Source/WebCore/inspector/front-end/SourceFrame.js:47
> +    this._editButton.addEventListener("click", this._editButtonClicked.bind(this, true), this);

_editButtonClicked expects no parameters, no need to bind it to "true".

> Source/WebCore/inspector/front-end/SourceFrame.js:838
> +            if (!this.startEditing())

You can omit the if, just call the method.
Comment 5 Yury Semikhatsky 2011-09-08 07:48:52 PDT
Comment on attachment 106731 [details]
[PATCH] Style fixed

View in context: https://bugs.webkit.org/attachment.cgi?id=106731&action=review

> Source/WebCore/inspector/front-end/TextViewer.js:922
> +        this._container.focus();

Move this call after the check below?
Comment 6 Alexander Pavlov (apavlov) 2011-09-08 07:56:10 PDT
Created attachment 106737 [details]
[PATCH] Comments addressed
Comment 7 Alexander Pavlov (apavlov) 2011-09-08 07:57:45 PDT
Created attachment 106738 [details]
[PATCH] Binary diff (with the changed glyph image)
Comment 8 Alexander Pavlov (apavlov) 2011-09-09 03:15:36 PDT
Committed r94842: <http://trac.webkit.org/changeset/94842>